Package com.independentsoft.office.odf

# Class SortKey

java.lang.Object
com.independentsoft.office.odf.SortKey

public class SortKey extends Object
Represents a single sort key if bibliography entries are not displayed in document order.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortKey()`
  Initializes a new instance of the SortKey class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SortKey`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Key`
  `getKey()`
  Gets the type for the index entries that should be used for sorting.
  `boolean`
  `isSortAscending()`
  Specifies whether locale specific sorting takes pace in ascending or descending order.
  `void`
  `setKey​(Key key)`
  Sets the type for the index entries that should be used for sorting.
  `void`
  `setSortAscending​(boolean sortAscending)`
  Specifies whether locale specific sorting takes pace in ascending or descending order.
  `String`
  `toString()`
  Converts the value of the current SortKey object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SortKey

    public SortKey()
    Initializes a new instance of the SortKey class.

- ## Method Details

  - ### clone

    public SortKey clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SortKey object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getKey

    public Key getKey()
    Gets the type for the index entries that should be used for sorting.
    Returns:
      the key

  - ### setKey

    public void setKey​(Key key)
    Sets the type for the index entries that should be used for sorting.
    Parameters:
      `key` - the new key

  - ### isSortAscending

    public boolean isSortAscending()
    Specifies whether locale specific sorting takes pace in ascending or descending order. The defined values are: -false: sorting takes place in descending order. -true: sorting takes place in ascending order.
    Returns:
      true, if is sort ascending

  - ### setSortAscending

    public void setSortAscending​(boolean sortAscending)
    Specifies whether locale specific sorting takes pace in ascending or descending order. The defined values are: -false: sorting takes place in descending order. -true: sorting takes place in ascending order.
    Parameters:
      `sortAscending` - the new sort ascending